歡迎光臨
每天分享高質量文章

如何在 Arch Linux 中降級軟體包 | Linux 中國

有時候,你想更新到最新的版本,但你可能會被破損的包卡住。不要驚慌!在這種情況下,你可以簡單地回滾到舊的穩定包。
— Sk


致謝
編譯自 | https://www.ostechnix.com/downgrade-package-arch-linux/ 
 作者 | Sk
 譯者 | MjSeven ? ? ? ? 共計翻譯:46 篇 貢獻時間:129 天

正如你瞭解的,Arch Linux 是一個滾動版本和 DIY(自己動手)發行版。因此,在經常更新時必須小心,特別是從 AUR 等第三方儲存庫安裝或更新軟體包。如果你不知道自己在做什麼,那麼最終很可能會破壞系統。你有責任使 Arch Linux 更加穩定。但是,我們都會犯錯誤,要時刻小心是很難的。有時候,你想更新到最新的版本,但你可能會被破損的包卡住。不要驚慌!在這種情況下,你可以簡單地回滾到舊的穩定包。這個簡短的教程描述瞭如何在 Arch Linux 中以及它的變體,如 Antergos,Manjaro Linux 中降級一個包,

在 Arch Linux 中降級一個包

在 Arch Linux 中,有一個名為 “downgrade” 的實用程式,可幫助你將安裝的軟體包降級為任何可用的舊版本。此實用程式將檢查你的本地快取和遠端伺服器(Arch Linux 倉庫)以查詢所需軟體包的舊版本。你可以從該串列中選擇任何一個舊的穩定的軟體包併進行安裝。

該軟體包在官方倉庫中不可用,你需要新增非官方的 archlinuxfr 倉庫。

為此,請編輯 /etc/pacman.conf 檔案:

  1. $ sudo nano /etc/pacman.conf

新增以下行:

  1. [archlinuxfr]

  2. SigLevel = Never

  3. Server = http://repo.archlinux.fr/$arch

儲存並關閉檔案。

使用以下命令來更新倉庫:

  1. $ sudo pacman -Sy

然後在終端中使用以下命令安裝 “Downgrade” 實用程式:

  1. $ sudo pacman -S downgrade

示例輸出:

  1. resolving dependencies...

  2. looking for conflicting packages...

  3. Packages (1) downgrade-5.2.3-1

  4. Total Download Size: 0.01 MiB

  5. Total Installed Size: 0.10 MiB

  6. :: Proceed with installation? [Y/n]

“downgrade” 命令的典型用法是:

  1. $ sudo downgrade [PACKAGE, ...] [-- [PACMAN OPTIONS]]

讓我們假設你想要將 opera web 瀏覽器 降級到任何可用的舊版本。

為此,執行:

  1. $ sudo downgrade opera

此命令將從本地快取和遠端映象列出所有可用的 opera 包(新舊兩種版本)。

示例輸出:

  1. Available packages:

  2. 1) opera-37.0.2178.43-1-x86_64.pkg.tar.xz (local)

  3. 2) opera-37.0.2178.43-1-x86_64.pkg.tar.xz (remote)

  4. 3) opera-37.0.2178.32-1-x86_64.pkg.tar.xz (remote)

  5. 4) opera-36.0.2130.65-2-x86_64.pkg.tar.xz (remote)

  6. 5) opera-36.0.2130.65-1-x86_64.pkg.tar.xz (remote)

  7. 6) opera-36.0.2130.46-2-x86_64.pkg.tar.xz (remote)

  8. 7) opera-36.0.2130.46-1-x86_64.pkg.tar.xz (remote)

  9. 8) opera-36.0.2130.32-2-x86_64.pkg.tar.xz (remote)

  10. 9) opera-36.0.2130.32-1-x86_64.pkg.tar.xz (remote)

  11. 10) opera-35.0.2066.92-1-x86_64.pkg.tar.xz (remote)

  12. 11) opera-35.0.2066.82-1-x86_64.pkg.tar.xz (remote)

  13. 12) opera-35.0.2066.68-1-x86_64.pkg.tar.xz (remote)

  14. 13) opera-35.0.2066.37-2-x86_64.pkg.tar.xz (remote)

  15. 14) opera-34.0.2036.50-1-x86_64.pkg.tar.xz (remote)

  16. 15) opera-34.0.2036.47-1-x86_64.pkg.tar.xz (remote)

  17. 16) opera-34.0.2036.25-1-x86_64.pkg.tar.xz (remote)

  18. 17) opera-33.0.1990.115-2-x86_64.pkg.tar.xz (remote)

  19. 18) opera-33.0.1990.115-1-x86_64.pkg.tar.xz (remote)

  20. 19) opera-33.0.1990.58-1-x86_64.pkg.tar.xz (remote)

  21. 20) opera-32.0.1948.69-1-x86_64.pkg.tar.xz (remote)

  22. 21) opera-32.0.1948.25-1-x86_64.pkg.tar.xz (remote)

  23. 22) opera-31.0.1889.174-1-x86_64.pkg.tar.xz (remote)

  24. 23) opera-31.0.1889.99-1-x86_64.pkg.tar.xz (remote)

  25. 24) opera-30.0.1835.125-1-x86_64.pkg.tar.xz (remote)

  26. 25) opera-30.0.1835.88-1-x86_64.pkg.tar.xz (remote)

  27. 26) opera-30.0.1835.59-1-x86_64.pkg.tar.xz (remote)

  28. 27) opera-30.0.1835.52-1-x86_64.pkg.tar.xz (remote)

  29. 28) opera-29.0.1795.60-1-x86_64.pkg.tar.xz (remote)

  30. 29) opera-29.0.1795.47-1-x86_64.pkg.tar.xz (remote)

  31. 30) opera-28.0.1750.51-1-x86_64.pkg.tar.xz (remote)

  32. 31) opera-28.0.1750.48-1-x86_64.pkg.tar.xz (remote)

  33. 32) opera-28.0.1750.40-1-x86_64.pkg.tar.xz (remote)

  34. 33) opera-27.0.1689.76-1-x86_64.pkg.tar.xz (remote)

  35. 34) opera-27.0.1689.69-1-x86_64.pkg.tar.xz (remote)

  36. 35) opera-27.0.1689.66-1-x86_64.pkg.tar.xz (remote)

  37. 36) opera-27.0.1689.54-2-x86_64.pkg.tar.xz (remote)

  38. 37) opera-27.0.1689.54-1-x86_64.pkg.tar.xz (remote)

  39. 38) opera-26.0.1656.60-1-x86_64.pkg.tar.xz (remote)

  40. 39) opera-26.0.1656.32-1-x86_64.pkg.tar.xz (remote)

  41. 40) opera-12.16.1860-2-x86_64.pkg.tar.xz (remote)

  42. 41) opera-12.16.1860-1-x86_64.pkg.tar.xz (remote)

  43. select a package by number:

只需輸入你選擇的包號碼,然後按回車即可安裝。

就這樣。當前安裝的軟體包將被降級為舊版本。

另外閱讀:在 Arch Linux 中如何將所有軟體包降級到特定日期[1]

那麼,如何避免已損壞的軟體包並使 Arch Linux 更加穩定?

在更新 Arch Linux 之前檢視 Arch Linux 新聞[2]論壇[3],看看是否有任何已報告的問題。過去幾周我一直在使用 Arch Linux 作為我的主要作業系統,以下是我在這段時間內發現的一些簡單提示,以避免在 Arch Linux 中安裝不穩定的軟體包。

☉ 避免部分升級。這意味著永遠不要執行 pacman -Sy 。此命令將在安裝軟體包時部分升級你的系統。相反,優先使用 pacman -Syu 來更新系統,然後使用 package -S  安裝軟體包。
☉ 避免使用 pacman -Syu -force 命令。-force 標誌將忽略程式包和檔案衝突,並且可能會以破損的程式包或損壞的系統結束。
☉ 不要跳過依賴性檢查。這意味著不要使用 pacman -Rdd 。此命令將在刪除軟體包時避免依賴性檢查。如果你執行這個命令,另一個重要的包所需的關鍵依賴也可以被刪除。最終,它會損壞你的 Arch Linux。
☉ 定期備份重要資料和配置檔案以避免資料丟失總是一個好習慣。
☉ 安裝第三方軟體包和 AUR 等非官方軟體包時要小心。不要安裝那些正在經歷重大發展的軟體包。

有關更多詳細資訊,請檢視 Arch Linux 維護指南[4]

我不是 Arch Linux 專家,我仍然在學習如何使它更穩定。如果你有任何技巧讓 Arch Linux 保持穩定和安全,請在下麵的評論部分保持穩定和安全告訴我,我將洗耳恭聽。

希望這可以有幫助。目前為止這就是全部了。我很快會再次在這裡與另一篇有趣的文章。在此之前,請繼續關註。

乾杯!


via: https://www.ostechnix.com/downgrade-package-arch-linux/

作者:SK[6] 選題:lujun9972 譯者:MjSeven 校對:wxy

本文由 LCTT 原創編譯,Linux中國 榮譽推出

贊(0)

分享創造快樂

© 2022 知識星球   網站地圖